(* $Id: glDraw.mli,v 1.3 2007/04/13 01:17:50 garrigue Exp $ *)

open Gl

val color : ?alpha:float -> rgb -> unit
    (* Sets the current color *)
val cull_face : face -> unit
    (* Specifies which faces are candidates for culling *)
val front_face : [`ccw|`cw] -> unit
    (* Specifies wether front faces are clockwise or not *)
val line_width : float -> unit
val point_size : float -> unit
val polygon_offset : factor:float -> units:float -> unit

val shade_model : [`flat|`smooth] -> unit

val normal : ?x:float -> ?y:float -> ?z:float -> unit -> unit
val normal3 : vect3 -> unit
    (* [glNormal] *)

type shape =
  [`line_loop|`line_strip|`lines|`points
  |`triangle_fan|`triangle_strip|`triangles]

val viewport : x:int -> y:int -> w:int -> h:int -> unit
