(* $Id: glPix.mli,v 1.9 2004/12/02 02:01:16 garrigue Exp $ *)

(* An abstract type for pixmaps *)

type (+'a,+'b) t

val create :
  ([< Gl.kind] as 'a) ->
  format:([< Gl.format] as 'b) -> width:int -> height:int -> ('b, 'a) t

val of_raw :
  ([< Gl.kind] as 'a) Raw.t ->
  format:([< Gl.format] as 'b) -> width:int -> height:int -> ('b, 'a) t
val to_raw : ('a, 'b) t -> 'b Raw.t
val format : ('a, 'b) t -> 'a
val width : ('a, 'b) t -> int
val height : ('a, 'b) t -> int
val raw_pos : ([< Gl.format], [< Gl.kind]) t -> x:int -> y:int -> int
    (* [raw_pos image :x :y] partially evaluates on [image] *)

(* openGL functions *)

val read :
  x:int ->
  y:int ->
  width:int ->
  height:int ->
  format:([< Gl.format] as 'a) -> kind:([< Gl.kind] as 'b) -> ('a, 'b) t

type store_param = [
  | `pack_alignment of int
  | `unpack_alignment of int
]
val store : store_param -> unit
